sf2::Sample::buffer_t Struct Reference

Pointer address and size of a buffer. More...

`#include <SF.h>`

## Public Attributes

void * | pStart
| Points to the beginning of the buffer.
unsigned long | Size
| Size of the actual data in the buffer in bytes.
unsigned long | NullExtensionSize

The buffer might be bigger than the actual data, if that's the case that unused space at the end of the buffer is filled with NULLs and NullExtensionSize reflects that unused buffer space in bytes. Those NULL extensions are mandatory for differential algorithms that have to take the following data words into account, thus have to access past the buffer's boundary. If you don't know what I'm talking about, just forget this variable. :).

## Detailed Description

Pointer address and size of a buffer.

Definition at line 288 of file SF.h.

## Constructor & Destructor Documentation

## buffer_t()

sf2::Sample::buffer_t::buffer_t | ( |  | ) |

inline

Definition at line 292 of file SF.h.

## Member Data Documentation

## NullExtensionSize

unsigned long sf2::Sample::buffer_t::NullExtensionSize

The buffer might be bigger than the actual data, if that's the case that unused space at the end of the buffer is filled with NULLs and NullExtensionSize reflects that unused buffer space in bytes. Those NULL extensions are mandatory for differential algorithms that have to take the following data words into account, thus have to access past the buffer's boundary. If you don't know what I'm talking about, just forget this variable. :).

Definition at line 291 of file SF.h.

## pStart

void* sf2::Sample::buffer_t::pStart

Points to the beginning of the buffer.

Definition at line 289 of file SF.h.

## Size

unsigned long sf2::Sample::buffer_t::Size

Size of the actual data in the buffer in bytes.

Definition at line 290 of file SF.h.

The documentation for this struct was generated from the following file:

- SF.h